# Class Commands.RestoreCommand

java.lang.Object
org.apache.zookeeper.server.admin.CommandBase
org.apache.zookeeper.server.admin.PostCommand
org.apache.zookeeper.server.admin.Commands.RestoreCommand

All Implemented Interfaces:
  `Command`

Enclosing class:
  `Commands`

public static class Commands.RestoreCommand extends PostCommand
Restore from snapshot on the current server. Returned map contains: - "last_zxid": String

## Constructor Summary

Constructors
Constructor
Description
`RestoreCommand()`

## Method Summary

Modifier and Type
Method
Description
`CommandResponse`
`runPost(ZooKeeperServer zkServer, InputStream inputStream)`
Run this command for HTTP POST.

### Methods inherited from class PostCommand

`runGet`

### Methods inherited from class CommandBase

`getAuthRequest, getNames, getPrimaryName, initializeResponse, isServerRequired`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RestoreCommand

public RestoreCommand()

## Method Details

### runPost

public CommandResponse runPost(ZooKeeperServer zkServer, InputStream inputStream)
Description copied from interface: `Command`
Run this command for HTTP POST. Commands take a ZooKeeperServer and InputStream and return a CommandResponse object containing any information constituting the response to the command. Commands are responsible for parsing keyword arguments and performing any error handling if necessary. Errors should be reported by setting the "error" entry of the returned map with an appropriate message rather than throwing an exception.

Parameters:
  `zkServer` - ZooKeeper server
  `inputStream` - InputStream from request
Returns:
  CommandResponse representing response to command containing at minimum: - "command" key containing the command's primary name - "error" key containing a String error message or null if no error